"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var core_1 = require("@reactionable/core");
var Alert_1 = require("./Alert");
exports.WarningAlert = function (props) {
    return react_1.default.createElement(Alert_1.Alert, tslib_1.__assign({ variant: "warning", icon: { icon: free_solid_svg_icons_1.faExclamationTriangle } }, props));
};
exports.useWarningAlert = function (props) {
    return core_1.useWarningAlert(tslib_1.__assign({ Component: exports.WarningAlert }, props));
};
//# sourceMappingURL=WarningAlert.js.map